## arith-utils 1.0.20131222

=== Makefile ===
# -*-makefile-*-
# JLdL 22Dec13.
#
# This makefile closes the "arith-utils" binary package; the
# _ main part of its structure is meant to install everything
# _ within the debian/package subdirectory.

# Edited for Debian GNU/Linux.
DESTDIR = 

# The name of the package this makefile is meant for.
NAME = arith-utils

# Where the user executables go.
BIN = $(DESTDIR)/usr/bin

# Where the library executables go.
LIB = $(DESTDIR)/usr/lib/$(NAME)

# Where the man pages go.
MANS = $(DESTDIR)/usr/share/man

# Where the additional documentation goes.
DOCS = $(DESTDIR)/usr/share/doc/$(NAME)

# The Fortran-based user executables.
BINFILES = \
add \
aver \
averdis \
aversig \
mult

# The C-based user executables.
BINEXECS = \
rani \
ranr

# The Fortran-based executable library.
LIBEXECS = \
add.bin \
aver.bin \
averdis.bin \
aversig.bin \
mult.bin

# The user man pages.
MAN1FILES = \
add.1.gz \
aver.1.gz \
averdis.1.gz \
aversig.1.gz \
mult.1.gz \
rani.1.gz \
ranr.1.gz

# Extra documentation files and directories.
DOCSFILES = \
debian/README.Debian

# The date is used as a version number.
#THEDATE = $(shell date +%y%m%d)
THEDATE = $(shell date +%Y%m%d)

# Define the host from which the package is to be distributed.
DHOST = fmasft

# Define the distribution site within the host.
DSITE = /sft/debian-cluster

# Define the distribution directory within the site.
DIR = $(DSITE)/dists/stable/main

# Define the location of the package just compiled.
LOC = /local/src

# The Fortran compiler.
GFF = gfortran -c -O

# The C compiler.
GCC = gcc -c -O

# The Fortran linker.
LDF = gfortran -O

# The C linker.
LDC = gcc -O

# Do not do anything by default, just print a help message.
default:
	@echo "Nothing done by default; the targets follow."
	@echo "The most useful targets are:"
	@echo "  'all' to just compile the executables;"
	@echo "  'package' to make the package;"
	@echo "  'distribute' to install on the distribution site;"
	@echo "  'veryclean' to really clean it all up."
	@echo "Other internal targets are:"
	@echo "  'clean' to clean this directory;"
	@echo "  'cleandebfiles' to remove the Debian files;"
	@echo "  'cleandebpacks' to remove the Debian packages."

# Make just the executables.
all: $(BINEXECS) $(LIBEXECS)

# Install files on the package tree.
install: $(BINFILES) $(BINEXECS) $(LIBEXECS) $(MAN1FILES) $(DOCSFILES)
	@echo Installing user executables in $(BIN)/
	@mkdir -p $(BIN)/
	@cp -pf $(BINFILES) $(BINEXECS) $(BIN)/
	@echo Installing library executables in $(LIB)/
	@mkdir -p $(LIB)/
	@cp -pf $(LIBEXECS) $(LIB)/
	@echo Installing man pages in $(MANS)/man1/
	@mkdir -p $(MANS)/man1/
	@cp -pf $(MAN1FILES) $(MANS)/man1/
	@echo Installing additional documentation in $(DOCS)/
	@mkdir -p $(DOCS)/
	@cp -af $(DOCSFILES) $(DOCS)/

# Make the package.
package:
	dpkg-buildpackage -kE92A1F5C

# Install the package in the distribution site.
distribute:
# Fix the ownership of the files.
	chown root:root $(LOC)/$(NAME)_*.dsc
	chown root:root $(LOC)/$(NAME)_*.tar.gz
	chown root:root $(LOC)/$(NAME)_*.deb
# Copy remotely and backwards because of authorization issues.
	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*.dsc $(DIR)/source/"
	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*.tar.gz $(DIR)/source/"
	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*_i386.deb $(DIR)/binary-i386/"
	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*_amd64.deb $(DIR)/binary-amd64/"
# Refresh the sites remotely because of authorization issues.
	ssh $(DHOST) "cd $(DSITE) ; ./MakePackagesFiles"

# Clean up this directory.
clean:
	rm -f *~ *.o a.out *.gz $(BINEXECS) $(LIBEXECS)

# Clean up the Debian package files.
cleandebfiles:
	rm -f build-stamp configure-stamp
	rm -rf debian/$(NAME)/

# Clean the package(s) and related files.
cleandebpacks:
	rm -f ../$(NAME)_*.dsc
	rm -f ../$(NAME)_*.tar.gz
	rm -f ../$(NAME)_*.changes
	rm -f ../$(NAME)_*_i386.deb
	rm -f ../$(NAME)_*_amd64.deb

# Really clean it all up.
veryclean: clean cleandebfiles cleandebpacks

# Pattern rules.

# Fortran modules.
%.o: %.f
	$(GFF) -o $@ $<

# C modules.
%.o: %.c
	$(GCC) -o $@ $<

# The Fortran-based library executables.
%.bin: %.o
	$(LDF) -o $@ $+
	strip $@

# The C-based random number executables.
ran%: ran%.o
	$(LDC) -o $@ $+
	strip $@

# A pattern rule to make compressed versions of files.
%.gz: %
	@echo Compressing file $<
	@cat $< | sed -e 's|YYYYMMDD|$(THEDATE)|g' | gzip -c9 - > $@

=== debian/changelog ===
arith-utils (1.0.20131222) stable; urgency=low

  * Updated the compilation to use the gfortran compiler, instead of g77.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 22 Dec 2013 19:30:51 -0200

arith-utils (1.0.20080410) stable; urgency=low

  * Included the utilities rani and ranr, and updated the documentation.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 10 Apr 2008 00:30:17 -0300

arith-utils (1.0.20080409) stable; urgency=low

  * Updated the package to the Etch Debian standards.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed,  9 Apr 2008 00:00:16 -0300

arith-utils (1.0.20070415) stable; urgency=low

  * Included the tool mult, to multiply numbers together.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 15 Apr 2007 00:22:45 -0300

arith-utils (1.0.20070403) stable; urgency=low

  * Initial Release.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue,  3 Apr 2007 11:38:50 -0300

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: arith-utils
Section: utils
Priority: optional
Maintainer: Jorge L. deLyra <delyra@fma.if.usp.br>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.6.2

Package: arith-utils
Architecture: any
Depends: tcsh
Description: A small set of shell utilities to perform on the command
 line arithmetic operations over sets of numbers, such as sums and
 averages, and to extract random numbers from the Linux kernel's
 random number generator.

=== debian/rules ===
#!/usr/bin/make -f
# JLdL 22Dec13.
#
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/arith-utils.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/arith-utils


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## arith-utils 1.0.20140130

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 # This makefile closes the "arith-utils" binary package; the
 # _ main part of its structure is meant to install everything
 # _ within the debian/package subdirectory.
+#
+# Making only the amd64 package, from now on.
 
 # Edited for Debian GNU/Linux.
 DESTDIR = 
@@ -128,9 +130,11 @@
 	chown root:root $(LOC)/$(NAME)_*.tar.gz
 	chown root:root $(LOC)/$(NAME)_*.deb
 # Copy remotely and backwards because of authorization issues.
+#
+#	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*_i386.deb $(DIR)/binary-i386/"
+#
 	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*.dsc $(DIR)/source/"
 	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*.tar.gz $(DIR)/source/"
-	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*_i386.deb $(DIR)/binary-i386/"
 	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*_amd64.deb $(DIR)/binary-amd64/"
 # Refresh the sites remotely because of authorization issues.
 	ssh $(DHOST) "cd $(DSITE) ; ./MakePackagesFiles"

=== debian/changelog ===
arith-utils (1.0.20140130) stable; urgency=low

  * Fixed the read operations in order to fix problems in 64-bit systems.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 30 Jan 2014 13:22:05 -0200
